Filters for Content Analysis API

‌‌
Here you will find all the necessary information about filters that can be used with Content Analysis API endpoints.

Note that filters are associated with a certain object in the result array, and should be specified accordingly. You can learn more about how to use filters in this help center article.

Pricing

Your account will not be charged for using this API

checked GET

You will receive the full list of filters by calling this API. You can also download the full list of possible filters by this link.

‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the parameters passed in the URL of the GET request

    resultarray

array of results
contains the full list of available parameters that can be used for data filtration
the parameters are grouped by the endpoint they can be used with


Below you will find a detailed description of the structure that should be used to specify filters for Content Analysis API. You will also find the types of parameters that can be used with each endpoint, and examples of pre-made filters.

Description of the fields:

Field nameTypeDescription
filtersarray

array of results filtering parameters
filters have the following structure:
[filered_field, filter_operator, filter_value]
you can add several filters at once (8 filters maximum)
if you add more than one filter, you must set a logical operator and, or between the conditions
example:
[["domain_rank",">", "800"],"and",["content_info.connotation_types.negative",">","0.9"]]

    filtered_fieldstr

fields that support filtration
note that some filtered_fields have the following structure: "content_info.$parameter_field" or "content_info.$results_array.$parameter_field"
examples:
"domain_rank"
"content_info.title"
"content_info.sentiment_connotations.fun"

    filter_operatorstr

operator in the filter
available filter operators:
• if num: <, <=, >, >=, =, <>, in, not_in
• if str: like, not_like, =, <>, regex, not_regex, in, not_in, match, not_match
• if array.str: has, has_not
• if array.num: has, has_not
• if time: <, >
note: time should be specified in the format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2021-01-29 15:02:37 +00:00

if you specify in or not_in operator, the $filter_value should be specified as an array
example:
["domain_rank","in",[100,500]]
Note: the maximum limit for the number of characters you can specify in regex and not_regex is 1000

    filter_valueobject

filtering value
values specified in the filter_value should match the format of the specified filtered_field

‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/content_analysis/available_filters" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
  // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
  $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
  echo "n";
  print "HTTP code: {$e->getHttpCode()}n";
  print "Error code: {$e->getCode()}n";
  print "Message: {$e->getMessage()}n";
  print  $e->getTraceAsString();
  echo "n";
  exit();
}
try {
  // using this method you can get a list of filters
  // GET /v3/content_analysis/available_filters
  // the full list of possible parameters is available in the documentation
  $result = $client->get('/v3/content_analysis/available_filters');
  print_r($result);
  // do something with result
} catch (RestClientException $e) {
  echo "n";
  print "HTTP code: {$e->getHttpCode()}n";
  print "Error code: {$e->getCode()}n";
  print "Message: {$e->getMessage()}n";
  print  $e->getTraceAsString();
  echo "n";
}
$client = null;
?>
const axios = require('axios');
axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/content_analysis/available_filters',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        version: "v3"
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from random import Random
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# using this method you can get a list of filters
# GET /v3/content_analysis/available_filters
# the full list of possible parameters is available in the documentation
response = client.get("/v3/content_analysis/available_filters")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task content_analysis_available_filters()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get a list of filters
            // GET /v3/content_analysis/available_filters
            // the full list of possible parameters is available in documentation
            var response = await httpClient.GetAsync("/v3/content_analysis/available_filters");
            var result = JsonConvert.DeserializeObject(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The list of available filtration parameters:

{
    "version": "0.1.20220819",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "0.0553 sec.",
    "cost": 0,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "11091415-1535-0490-0000-87cb8e22611c",
            "status_code": 20000,
            "status_message": "Ok.",
            "time": "0 sec.",
            "cost": 0,
            "result_count": 1,
            "path": [
                "v3",
                "content_analysis",
                "available_filters"
            ],
            "data": {
                "api": "content_analysis",
                "function": "available_filters"
            },
            "result": [
                {
                    "search": {
                        "url": "str",
                        "domain": "str",
                        "main_domain": "str",
                        "url_rank": "num",
                        "spam_score": "num",
                        "domain_rank": "num",
                        "fetch_time": "time",
                        "country": "str",
                        "language": "str",
                        "score": "num",
                        "page_category": "array.num",
                        "page_types": "array.str",
                        "content_info.content_type": "str",
                        "content_info.title": "str",
                        "content_info.main_title": "str",
                        "content_info.previous_title": "str",
                        "content_info.level": "num",
                        "content_info.author": "str",
                        "content_info.snippet": "str",
                        "content_info.snippet_length": "num",
                        "content_info.highlighted_text": "str",
                        "content_info.language": "str",
                        "content_info.sentiment_connotations.anger": "num",
                        "content_info.sentiment_connotations.happiness": "num",
                        "content_info.sentiment_connotations.love": "num",
                        "content_info.sentiment_connotations.sadness": "num",
                        "content_info.sentiment_connotations.share": "num",
                        "content_info.sentiment_connotations.fun": "num",
                        "content_info.connotation_types.positive": "num",
                        "content_info.connotation_types.negative": "num",
                        "content_info.connotation_types.neutral": "num",
                        "content_info.text_category": "array.num",
                        "content_info.date_published": "time",
                        "content_info.content_quality_score": "num",
                        "content_info.semantic_location": "str",
                        "content_info.rating.name": "str",
                        "content_info.rating.rating_value": "num",
                        "content_info.rating.max_rating_value": "num",
                        "content_info.rating.rating_count": "num",
                        "content_info.rating.relative_rating": "num",
                        "content_info.group_date": "time"
                    }
                }
            ]
        }
    ]
}